How to set up a trading partner to use multiple standards versions

Technote (FAQ)


Question

Can multiple standards versions be used for one trading partner?
How to set the partner to use the standards version for the incoming document.
Partner is setup to use the standards version needed for outbound documents, but incoming data has different versions.

Cause

Trading partner sends documents created with various standards versions for the Interchange and/or Functional Group.

Answer

Set the USE code to 'I' so the editor program uses the version listed in the envelope at either level, for compliance checking.

Partner Control screen, EDIX012, to set the Interchange use code.

This tells the system how to interpret a incoming ISA envelope (use F1 help for additional information about this field setting). The "use" code determines when the "version" field, ISA12, is to be used.

valid values are:
A = Always use version designated
D = Use this version as a default
I = Use the version in the input
blanks defaults to "I"

Partner Group screen, EDIX031, to set the compliance version use code.

This tells the system when to use the compliance version listed. (use F1 help for additional information about this field setting).

valid values are:
A = Always use version designated
D = Default if identified version not found
I = use the version designated in the Input

The compliance version field is used for compliance checking the group record. Both inbound (EBDI001) and outbound (EBDI002) editors will reference this field (use F1 help for additional information about this field setting).

Rate this page:

(0 users)Average rating

Add comments

Document information


More support for:

Sterling Gentran:Server for iSeries
Mapping and Translation

Software version:

3.4, 3.5, 3.6

Operating system(s):

IBM i, OS/400, i5/OS

Reference #:

1641332

Modified date:

2013-06-27

Translate my page

Machine Translation

Content navigation